%define prerel 0
%define date 20130523

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define rel 2

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt5webkitwidgets %mklibname qt5webkitwidgets %qtmajor
%define libqt5webkitwidgets_d %mklibname qt%{qtmajor}webkitwidgets -d

%define libqt5webkit %mklibname qt5webkit %qtmajor
%define libqt5webkit_d %mklibname qt%{qtmajor}webkit -d

%if %prerel
%define qttarballdir qtwebkit-opensource-src-%{qtversion}-rc
%else
%define qttarballdir qtwebkit-opensource-src-%{qtversion}
%endif

Name:           qtwebkit5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt WebKit component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            http://www.qt.io
Source0:        http://download.qt.io/community_releases/%{qtmajor}.%{qtminor}/%{version}/%{qttarballdir}.tar.xz
Patch1:         pthread.patch
# tweak linker flags to minimize memory usage on "small" platforms
Source2:        qtwebkit-opensource-src-5.2.0-save_memory.patch
## upstream patches

BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  chrpath
BuildRequires:  ruby
BuildRequires:  libxrender-devel
BuildRequires:  udev-devel
BuildRequires:  qt5widgets-private-devel  >= %{version}
BuildRequires:  jpeg-devel
BuildRequires:  fontconfig-devel
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  qtquick5-devel >= %{version}
BuildRequires:  qt5gui-private-devel >= %{version}
BuildRequires:  qt5quick-private-devel >= %{version}
BuildRequires:  qt5qml-devel >= %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt WebKit library is an open source web browser engine.

%files
%{_qt5_prefix}/libexec/QtWebPluginProcess
%{_qt5_prefix}/libexec/QtWebProcess
%{_qt5_qml}/QtWebKit

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtWebKit%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebKit5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebkit.qch
%{_qt5_docdir}/qtwebkit/
%endif

#------------------------------------------------------------------------------

%package -n %{libqt5webkitwidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5webkitwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5webkitwidgets}
%{_qt5_libdir}/libQt5WebKitWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5webkitwidgets_d}
Summary: Devel files needed to build apps based on QtWebKitWidgets
Group:    Development/KDE and Qt
Requires: %{libqt5webkitwidgets} = %version
Requires: qtbase5-common-devel >= %version
Provides: libqt5webkitwidgets-devel = %version
Provides: qt5webkitwidgets-devel = %version
Provides: libqtwebkitwidgets5-devel = %version
Provides: qtwebkitwidgets5-devel = %version

Provides: libqt5webkitwidgets-private-devel = %version
Provides: qt5webkitwidgets-private-devel = %version
Provides: libqtwebkitwidgets5-private-devel = %version
Provides: qtwebkitwidgets5-private-devel = %version

%description -n %{libqt5webkitwidgets_d}
Devel files needed to build apps based on QtWebKitWidgets.

%files -n %{libqt5webkitwidgets_d}
%{_qt5_libdir}/libQt5WebKitWidgets.so
%{_qt5_libdir}/libQt5WebKitWidgets.prl
%{_qt5_libdir}/pkgconfig/Qt5WebKitWidgets.pc
%{_qt5_includedir}/QtWebKitWidgets
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkitwidgets.pri
%{_qt5_libdir}/cmake/Qt5WebKitWidgets
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkitwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5webkit}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5webkit}
Qt%{qtmajor} Lib.

%files -n %{libqt5webkit}
%{_qt5_libdir}/libQt5WebKit.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5webkit_d}
Summary: Devel files needed to build apps based on QtWebKitWidgets
Group:    Development/KDE and Qt
Requires: %{libqt5webkit} = %version
Provides: libqt5webkit-devel = %version
Provides: qt5webkit-devel = %version
Provides: libqtwebkit5-devel = %version
Provides: qtwebkit5-devel = %version

Provides: libqt5webkit-private-devel = %version
Provides: qt5webkit-private-devel = %version
Provides: libqtwebkit5-private-devel = %version
Provides: qtwebkit5-private-devel = %version

%description -n %{libqt5webkit_d}
Devel files needed to build apps based on QtWebKitWidgets.

%files -n %{libqt5webkit_d}
%{_qt5_libdir}/libQt5WebKit.so
%{_qt5_libdir}/libQt5WebKit.prl
%{_qt5_libdir}/pkgconfig/Qt5WebKit.pc
%{_qt5_includedir}/QtWebKit
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkit.pri
%{_qt5_libdir}/cmake/Qt5WebKit
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkit_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
%autopatch -p1

%build
# (blino) On 32-bit systems, reduce memory pressure at link
# with lighter debuginfo and the -Wl,--no-keep-memory linker option
%qmake_qt5 \
%ifnarch x86_64 aarch64
    QMAKE_CFLAGS_RELEASE+=-g1 \
    QMAKE_CXXFLAGS_RELEASE+=-g1 \
    QMAKE_LFLAGS+=-Wl,--no-keep-memory \
%endif
#end of flags

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Mon Mar 20 2017 neoclust <neoclust> 5.6.2-2.mga6
+ Revision: 1093714
- Rebuild against new icu

* Fri Nov 04 2016 daviddavid <daviddavid> 5.6.2-1.mga6
+ Revision: 1065264
- New version 5.6.2
- Remove merged upstream patches

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-2.mga6
+ Revision: 1049797
- build missing docs part (mga#9812)
- add qtwebkit5-doc subpackage

* Thu Jul 14 2016 daviddavid <daviddavid> 5.6.1-1.mga6
+ Revision: 1042057
- new version: 5.6.1
- backport two upstream patches
- update Source URL

* Wed May 25 2016 pterjan <pterjan> 5.5.1-9.mga6
+ Revision: 1018226
- Try fixing linking errors

* Fri May 13 2016 shlomif <shlomif> 5.5.1-8.mga6
+ Revision: 1014871
- Rebuild for new ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 5.5.1-7.mga6
+ Revision: 917920
- rebuild for icu

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-6.mga6
+ Revision: 913849
- Fix require on qtbase

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-5.mga6
+ Revision: 913826
- Remove private-devel packages

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-4.mga6
+ Revision: 913824
- Sync with 5.6.0 branch
- Rebuild against qt 5.6.0 beta

* Wed Nov 11 2015 blino <blino> 5.5.1-3.mga6
+ Revision: 902252
- on 32-bit systems (including ARMv5/v7)), reduce memory pressure at link with lighter debuginfo and the -Wl,--no-keep-memory linker option

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900361
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894509
- New version

* Sat Jul 25 2015 cjw <cjw> 5.5.0-2.mga6
+ Revision: 857376
- rebuild for icu 55

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853392
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old sources;

* Wed Jun 24 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 841694
- New version 5.5 rc

* Wed Apr 22 2015 luigiwalser <luigiwalser> 5.4.0-2.mga5
+ Revision: 820553
- add patch from fedora to fix security issue (mga#15749, rhbz#1204795)

* Sat Dec 13 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802869
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801817
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 743750
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688566
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639800
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624045
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621500
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612322
- 5.3.0beta

* Sat Apr 05 2014 wally <wally> 5.3.0-0.alpha.2.mga5
+ Revision: 611894
- rebuild for new icu

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598970
- New version 5.3.0 Alpha1

* Mon Feb 24 2014 neoclust <neoclust> 5.2.1-4.mga5
+ Revision: 596165
- Rebuild against new libwebp

* Sun Feb 09 2014 fwang <fwang> 5.2.1-3.mga5
+ Revision: 586989
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 584416
- use gstreamer 1.0

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584201
- new version 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556705
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554479
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547134
- br udev
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538933
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491104
- 5.2.0 alpha1
- rebuild for icu 52

  + tmb <tmb>
    - rebuild for new icu

* Sun Jun 02 2013 fwang <fwang> 5.2.0-0.0.20130523.3.mga4
+ Revision: 434692
- rebuild for new libpng

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428827
- Rebuild against new qt5 libs location

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 428730
- buildrequire qt5widgets-private-devel for private/qaccessiblewidget_p.h ( blino)
- New QT 5.2 Snapshot

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410402
- New version 5.0.2

* Sat Feb 02 2013 fwang <fwang> 5.0.1-3.mga3
+ Revision: 394061
- br qml
- fix pkgconfig requries

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-2.mga3
+ Revision: 394014
- Split private headers in its own package

  + fwang <fwang>
    - 5.0.1 final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.4.mga3
+ Revision: 392543
- Revert previous wrong commit

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.3.mga3
+ Revision: 392542
- Try using gstreamer 1.0

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 392530
- Add QtQuick  support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392377
- New version 5.0.1 rc1

* Sat Jan 26 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 392319
- SIELNT: Use _disable_ld_no_undefined for the moment
- imported package qtwebkit5

  + fwang <fwang>
    - add more br

